Bug 1128804 - [GSS] (6.4.0) The returnBlocking() method should propagate the exception in the fail method or RemottingConnection.
Summary: [GSS] (6.4.0) The returnBlocking() method should propagate the exception in t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.4.0
Assignee: Justin Bertram
QA Contact: Miroslav Novak
URL:
Whiteboard:
Depends On:
Blocks: 1132168 1132182
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:59 UTC by Tom Ross
Modified: 2019-08-19 12:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1132182 (view as bug list)
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1388 Major Closed The returnBlocking() method should propagate the exception in the fail method or RemotingConnection. 2018-08-13 21:23:07 UTC

Description Tom Ross 2014-08-11 14:59:27 UTC
At the moment when connection fails the exception is passed to fail() method that deal with the connection failure but tho exception is not propagated tot client, it's only send to exception listeners. It would be helpful if it was pass to client via returnBlocking method.

Comment 1 JBoss JIRA Server 2014-08-12 20:11:39 UTC
Justin Bertram <jbertram@redhat.com> updated the status of jira HORNETQ-1388 to Resolved

Comment 2 JBoss JIRA Server 2014-08-12 20:11:49 UTC
Justin Bertram <jbertram@redhat.com> updated the status of jira HORNETQ-1388 to Closed

Comment 3 Justin Bertram 2014-08-12 20:12:57 UTC
This has been resolved on the 2.3.x branch of HornetQ via 7a8e2fa11670093d34290c46e804dbd1ba51504c.

Comment 4 Kabir Khan 2014-08-24 10:57:42 UTC
Appears to be fixed by HQ upgrade to 2.3.21 https://bugzilla.redhat.com/show_bug.cgi?id=1132168. Setting to MODIFIED.

Comment 5 Martin Svehla 2014-09-17 13:24:51 UTC
Verified in EAP 6.4.0.DR1.1


Note You need to log in before you can comment on or make changes to this bug.